注册 登录  
 加关注
   显示下一条  |  关闭
温馨提示!由于新浪微博认证机制调整,您的新浪微博帐号绑定已过期,请重新绑定!立即重新绑定新浪微博》  |  关闭

我行我素

 
 
 

日志

 
 

On Ubuntu 01  

2007-11-02 01:31:57|  分类: 郁闷自己 |  标签: |举报 |字号 订阅

  下载LOFTER 我的照片书  |

开始找工了,但在这个要命的关头,二师兄却兴起玩ubuntu,刚好我手头上有三张7.04的光碟,就我一张、他一张还有二师弟一张。今晚在实验室,边投简历边装ubuntu,我也抵挡不住诱惑,在另外一台空机子上装了ubuntu。想想,有半年没碰linux了,很多命令都忘记了,好在之前将自己写的blog里关于linux的内容整理打印出来了,现在终于起作用了,看着自己写的这份简明的指引,很轻松的装上了大部分应用。但由于是从FC转过来ubuntu,所以有些莫名其妙的bug,用FC的方法是解决不了的。例如gftp 2.0.18显示中文的这个破烂bug,就挺烦人的。还在ubuntu的中文社区办得不错,搜索到了如下方法(参考http://forum.ubuntu.org.cn/viewtopic.php?t=23922&highlight=gftp):


 

===============================================================
从如下两个地方下载gftp和它的补丁:
http://gftp.seul.org/gftp-2.0.18.tar.bz2
http://www.teatime.com.tw/%7Etommy/linux/gftp_remote_charsets.patch

 

 

然后运行

tar xjvf gftp-2.0.18.tar.bz2
patch -p0 < gftp_remote_charsets.patch
cd gftp-2.0.18
./configure

到了这里的时候提示glibc不存在或者版本不够!
于是乎下面操作:
sudo apt-get install libglib2.0-dev
安装好了glibc后再次配置又提示缺少gtk,我昏倒;
下面操作
sudo apt-get install gnome-devel build-essential
好了再次配置OK了!
make
sudo make install
OK了!

 

 

 

 

gftp启动ftp---选项--常规--远程字符集---输入GBK 保存!

(在这里我输入了N多字符集: cp936,gb18303,gbk,gb2312,utf8,gb18030,euc-tw,zh_CN)

===============================================================

 

真要命,在现在这个要紧关头,实验室一堆人开始发烧计算机的东西,玩ubuntu,oracle,.NET,C#,Ruby等等……祈祷god bless all of us吧!

  评论这张
 
阅读(90)| 评论(0)
推荐 转载

历史上的今天

评论

<#--最新日志,群博日志--> <#--推荐日志--> <#--引用记录--> <#--博主推荐--> <#--随机阅读--> <#--首页推荐--> <#--历史上的今天--> <#--被推荐日志--> <#--上一篇,下一篇--> <#-- 热度 --> <#-- 网易新闻广告 --> <#--右边模块结构--> <#--评论模块结构--> <#--引用模块结构--> <#--博主发起的投票-->
 
 
 
 
 
 
 
 
 
 
 
 
 
 

页脚

网易公司版权所有 ©1997-2017